<link rel="import" href="../bower_components/polymer/polymer.html">
<link rel="import" href="../bower_components/paper-item/paper-item.html">
<link rel="import" href="../bower_components/paper-material/paper-material.html">
<link rel="import" href="../bower_components/paper-item/paper-item-body.html">
<link rel="import" href="../bower_components/pubnub-element/pubnub-element.html">
<script src="../node_modules/moment/moment.js"></script>
<dom-module id="chat-message">
   <template>
       <paper-material elevation="1">
       <paper-item>
           <paper-item-body two-line>
               <div secondary>{{username}} [[_dateFormat(date)]]</div>
               <div>{{message}}{{uuid}}</div>
           </paper-item-body>
       </paper-item>
       </paper-material>
   </template>
</dom-module>

<script>
   Polymer({
      is: 'chat-message',
      properties : {
         username: {
           type: String,
           value: 'Anonymous'
         },
         message: {
           type: String,
           value: 'This is my message'
         },
         uuid: {
           type: Number
         },
         date: {
           type: Date
         }
      },
      _dateFormat: function(date) {
         return moment(date).format('h:mm:ss a');
      }
   });
</script>